// Text Dashlet Enhanced Javascript and jQuery include file
// Copyright 2013-01-18 Troy Lea aka Box293

function textenhancedPreview() {
	// Hide all the existing divs
	$('#textenhanced-containter-preview-object-container-section1').hide();
	$('#textenhanced-containter-preview-object-container-section2').hide();
	$('#textenhanced-containter-preview-object-container-section3').hide();
	
	// Remove the existing divs
	$('#textenhanced-containter-preview-object-container-section1').remove();
	$('#textenhanced-containter-preview-object-container-section2').remove();
	$('#textenhanced-containter-preview-object-container-section3').remove();
	
	// Get the layout format chosen and apply it
	//window.alert($('#textenhanced_layout_format option:selected').val());
	var textenhancedLayoutFormatArray = $('#textenhanced_layout_format option:selected').val().split('_');
	for (var f=0;f<textenhancedLayoutFormatArray.length;f++) {
		//window.alert(textenhancedLayoutFormatArray[f]);
		switch (textenhancedLayoutFormatArray[f]) {
			case 'section1':
				// Check to see if an section-1 has any text
				if ($('#section-1_text_value').val() == '') {
					// Tell user they need to type something in the section-1 Text field
					window.alert("(Section 1) You must type the Text that you want to appear in the Dashlet");
					} // End section-1_text_value empty
				else {
					//window.alert($('#section-1_formatting option:selected').val());
					// Create the container div to hold the selected components
					$('#textenhanced-containter-preview-object').append('<div id=\"textenhanced-containter-preview-object-container-section1\">');
					// Text Formatting Options
					// default
					if ($('#section-1_formatting option:selected').val() == 'default') {
						// Now add it and all the options
						$('#textenhanced-containter-preview-object-container-section1').append('<div id=\"textenhanced-preview_section1_text_size\">');
							$('#textenhanced-preview_section1_text_size').attr('class', $('#section-1_text_size option:selected').val());
							$('#textenhanced-preview_section1_text_size').append('<div id=\"textenhanced-preview_section1_text_weight\">');
								$('#textenhanced-preview_section1_text_weight').attr('class', $('#section-1_text_weight option:selected').val());
								$('#textenhanced-preview_section1_text_weight').append('<div id=\"textenhanced-preview_section1_text_style\">');
									$('#textenhanced-preview_section1_text_style').attr('class', $('#section-1_text_style option:selected').val());
									$('#textenhanced-preview_section1_text_style').append('<div id=\"textenhanced-preview_section1_text_variant\">');
										$('#textenhanced-preview_section1_text_variant').attr('class', $('#section-1_text_variant option:selected').val());
										$('#textenhanced-preview_section1_text_variant').append('<div id=\"textenhanced-preview_section1_text_color\">');
											$('#textenhanced-preview_section1_text_color').attr('class', $('#section-1_text_color option:selected').val());
											$('#textenhanced-preview_section1_text_color').append('<div id=\"textenhanced-section-1_final\">');
												// Display the Object
												$('#textenhanced-section-1_final').text($('#section-1_text_value').val()); 
											$('#textenhanced-preview_section1_text_color').append('</div>');
										$('#textenhanced-preview_section1_text_variant').append('</div>');
									$('#textenhanced-preview_section1_text_style').append('</div>');
								$('#textenhanced-preview_section1_text_weight').append('</div>');
							$('#textenhanced-preview_section1_text_size').append('</div>');
						} // End default formatting
					else if ($('#section-1_formatting option:selected').val() == 'html') {
						//window.alert("(Section 1) HTML");
						// Need to just use the HTML supplied code
						$('#textenhanced-containter-preview-object-container-section1').append($('#section-1_text_value').val());
						} // End html formatting
					} // End section-1_text_value formatting options
				break; // End case section1
			
			case 'section2':
				// Check to see if an section-2 has any text
				if ($('#section-2_text_value').val() == '') {
					// Tell user they need to type something in the section-2 Text field
					window.alert("(Section 2) You must type the Text that you want to appear in the Dashlet");
					} // End section-2_text_value empty
				else {
					//window.alert($('#section-2_formatting option:selected').val());
					// Create the container div to hold the selected components
					$('#textenhanced-containter-preview-object').append('<div id=\"textenhanced-containter-preview-object-container-section2\">');
					// Check to see if a line break should be added between section1 and section2
					if ($('#section-1-2_line_break').is(':checked')) {
						$('#textenhanced-containter-preview-object-container-section2').append('<br>');
						}
					// Text Formatting Options
					// default
					if ($('#section-2_formatting option:selected').val() == 'default') {
						// Now add it and all the options
						$('#textenhanced-containter-preview-object-container-section2').append('<div id=\"textenhanced-preview_section2_text_size\">');
							$('#textenhanced-preview_section2_text_size').attr('class', $('#section-2_text_size option:selected').val());
							$('#textenhanced-preview_section2_text_size').append('<div id=\"textenhanced-preview_section2_text_weight\">');
								$('#textenhanced-preview_section2_text_weight').attr('class', $('#section-2_text_weight option:selected').val());
								$('#textenhanced-preview_section2_text_weight').append('<div id=\"textenhanced-preview_section2_text_style\">');
									$('#textenhanced-preview_section2_text_style').attr('class', $('#section-2_text_style option:selected').val());
									$('#textenhanced-preview_section2_text_style').append('<div id=\"textenhanced-preview_section2_text_variant\">');
										$('#textenhanced-preview_section2_text_variant').attr('class', $('#section-2_text_variant option:selected').val());
										$('#textenhanced-preview_section2_text_variant').append('<div id=\"textenhanced-preview_section2_text_color\">');
											$('#textenhanced-preview_section2_text_color').attr('class', $('#section-2_text_color option:selected').val());
											$('#textenhanced-preview_section2_text_color').append('<div id=\"textenhanced-section-2_final\">');
												// Display the Object
												$('#textenhanced-section-2_final').text($('#section-2_text_value').val()); 
											$('#textenhanced-preview_section2_text_color').append('</div>');
										$('#textenhanced-preview_section2_text_variant').append('</div>');
									$('#textenhanced-preview_section2_text_style').append('</div>');
								$('#textenhanced-preview_section2_text_weight').append('</div>');
							$('#textenhanced-preview_section2_text_size').append('</div>');
						} // End default formatting
					else if ($('#section-2_formatting option:selected').val() == 'html') {
						//window.alert("(Section 2) HTML");
						// Need to just use the HTML supplied code
						$('#textenhanced-containter-preview-object-container-section2').append($('#section-2_text_value').val());
						} // End html formatting
					} // End section-2_text_value formatting options
				break; // End case section2
			
			case 'section3':
				// Check to see if an section-3 has any text
				if ($('#section-3_text_value').val() == '') {
					// Tell user they need to type something in the section-3 Text field
					window.alert("(Section 3) You must type the Text that you want to appear in the Dashlet");
					} // End section-3_text_value empty
				else {
					//window.alert($('#section-3_formatting option:selected').val());
					// Create the container div to hold the selected components
					$('#textenhanced-containter-preview-object').append('<div id=\"textenhanced-containter-preview-object-container-section3\">');
					// Check to see if a line break should be added between section1 and section2
					if ($('#section-2-3_line_break').is(':checked')) {
						$('#textenhanced-containter-preview-object-container-section3').append('<br>');
						}
					// Text Formatting Options
					// default
					if ($('#section-3_formatting option:selected').val() == 'default') {
						// Now add it and all the options
						$('#textenhanced-containter-preview-object-container-section3').append('<div id=\"textenhanced-preview_section3_text_size\">');
							$('#textenhanced-preview_section3_text_size').attr('class', $('#section-3_text_size option:selected').val());
							$('#textenhanced-preview_section3_text_size').append('<div id=\"textenhanced-preview_section3_text_weight\">');
								$('#textenhanced-preview_section3_text_weight').attr('class', $('#section-3_text_weight option:selected').val());
								$('#textenhanced-preview_section3_text_weight').append('<div id=\"textenhanced-preview_section3_text_style\">');
									$('#textenhanced-preview_section3_text_style').attr('class', $('#section-3_text_style option:selected').val());
									$('#textenhanced-preview_section3_text_style').append('<div id=\"textenhanced-preview_section3_text_variant\">');
										$('#textenhanced-preview_section3_text_variant').attr('class', $('#section-3_text_variant option:selected').val());
										$('#textenhanced-preview_section3_text_variant').append('<div id=\"textenhanced-preview_section3_text_color\">');
											$('#textenhanced-preview_section3_text_color').attr('class', $('#section-3_text_color option:selected').val());
											$('#textenhanced-preview_section3_text_color').append('<div id=\"textenhanced-section-3_final\">');
												// Display the Object
												$('#textenhanced-section-3_final').text($('#section-3_text_value').val()); 
											$('#textenhanced-preview_section3_text_color').append('</div>');
										$('#textenhanced-preview_section3_text_variant').append('</div>');
									$('#textenhanced-preview_section3_text_style').append('</div>');
								$('#textenhanced-preview_section3_text_weight').append('</div>');
							$('#textenhanced-preview_section3_text_size').append('</div>');
						} // End default formatting
					else if ($('#section-3_formatting option:selected').val() == 'html') {
						//window.alert("(Section 3) HTML");
						// Need to just use the HTML supplied code
						$('#textenhanced-containter-preview-object-container-section3').append($('#section-3_text_value').val());
						} // End html formatting
					} // End section-3_text_value formatting options
				break; // End case section3
			} // end of switch
		} // end of for statement of textenhancedLayoutFormatArray
	} // end of funtion textenhancedPreview


function textenhancedToggleMenu(a) {
	// hide all menu elements 
  	$('.togglediv').hide(); 
	// reset the last item that was selected
	$('.textenhanced_menuheading2').addClass("textenhanced_menuheading1").removeClass("textenhanced_menuheading2");
	// show all menu elements
	$('#' + a).show(); 
	// Style the currently selected menu item
	$('#id-' + a).addClass("textenhanced_menuheading2").removeClass("textenhanced_menuheading1");
	// Call the textenhancedPreview function if on the preview tab
	if (a == 'textenhanced-containter-preview') {
		textenhancedPreview();
		}
	}

	
function textenhancedToggleMe(a) {
	$('#'+ a).slideToggle();
	}
	
	
function textenhancedToggleAll(a) {
	var topics = a.split(':');
	var toggleAllText = $('#expand_collapse').text();
	for (var i=0;i<topics.length;i++) {
		if (toggleAllText == 'Expand All') {
			$('#' + topics[i]).show();
			}
		else if (toggleAllText == 'Collapse All') {
			$('#' + topics[i]).hide();
			}
		}
	if (toggleAllText == 'Expand All') {
		$('#expand_collapse').text('Collapse All');
		}
	else if (toggleAllText == 'Collapse All') {
		$('#expand_collapse').text('Expand All');
		}
	}
	
	
function textenhancedToggleCheckbox(a) {
	//window.alert(a + " value is: " + $('#' + a).val());
	if ($('#' + a).val().match(/off$/)) {
		//window.alert('it was off ');
		$('#' + a).attr('value', a + '_on');				
		}
	else if ($('#' + a).val().match(/on$/)) {
		//window.alert('it was on ');
		$('#' + a).attr('value', a + '_off');				
		}
	//window.alert(a + " value is: " + $('#' + a).val());
	}

	
function textenhancedDisplayLayoutImage() {
	// Hide all the existing images
	$('#textenhanced_layout_image_section1').hide(); 
	$('#textenhanced_layout_image_section1_section2').hide(); 
	$('#textenhanced_layout_image_section1_section2_section3').hide(); 
	
	// Display the image that was selected
	//window.alert("Layout Selection is: " + $('#textenhanced_layout_format option:selected').val());
	$('#textenhanced_layout_image_' + $('#textenhanced_layout_format option:selected').val()).show(); 
	}
